% logist6.m
% Matlab file for Part 6 of the Logistic Growth module

disp('**********************************************')
disp('Part 6:  Fitting a Logistic Model to Data, II')
disp('**********************************************')
disp('  ')    

    format short

    disp('Step 1:')
    time=[1790,1800,1810,1820,1830,1840,1850,1860,...')
          1870,1880,1890,1900,1910,1920,1930,1940];
    pop=[3.929, 5.308, 7.240, 9.638, 12.866, 17.069,...')
         23.192, 31.443, 38.558, 50.156, 62.948,...')
         75.996, 91.972, 105.711, 122.775, 131.669];
    disp(' ')
    disp('The following commands rescale the times ')
    disp('so that 0 corresponds to 1790 and then ')
    disp('plot the populations versus the rescaled times.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  newtime = time - 1790; ')
    disp('  clf   % Clears figure ')
    disp('  plot(newtime, pop,''bo'') ')
    disp('  hold on   % Holds plot ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Step 1 (cont.): ')
    disp('Entering the following commands will plot the')
    disp('solution function using the parameters r and K')
    disp('and initial population P0 = 3.929, the U.S.')
    disp('population in 1790, in millions.')
    disp(' ')
    disp('Fill in your best estimates of r and K from')
    disp('Part 5 and then enter:')
    disp(' ')
    disp('  r = ? ')
    disp('  K = ? ')
    disp('  P0 = 3.929 ')
    disp('  t = 0: 1: 150; ')
    disp('  Psol = K*P0./( P0 + (K-P0)*exp(-r*t) ); ')
    disp('  plot(t, Psol, ''r'')  ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Step 2: ')
    disp('Input your best estimate of K and plot the')
    disp('graph of ln( P/(K-P) ) against t.  Adjust') 
    disp('K and replot until your plot is as straight')
    disp('as you can make it.')
    disp('   (Note that the first and last points on the')
    disp('    graph are joined by a straight line to help')
    disp('    you assess the straightness of your plot.) ')
    disp(' ')
    disp('Pick K and then enter:')
    disp(' ')
    disp(' K = ? ')
    disp(' logvals = log( pop./(K - pop) ); ')
    disp(' clf ')
    disp(' plot(newtime, logvals,''ro'') ')
    disp(' Tpt=[newtime(1), newtime(16)]; ')
    disp(' Lpt=[logvals(1), logvals(16)]; ')
    disp(' line(Tpt,Lpt)  ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Step 3: ')
    disp('From the approximately linear relationship ')
    disp('on your plot, use the slope to make a new')
    disp('estimate of the parameter r. ')
    disp('Give your answer as a MATLAB comment in your')
    disp('diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Step 4: ')
    disp('Enter your values of r and K from above and')
    disp('plot the solution curve on top of the scatter')
    disp('plot of the (time, pop) data.')
    disp(' ')
    disp('Adjust r and K to get the best fit and replot.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  r = ? ')
    disp('  K = ? ')
    disp('  P0 = 3.929 ')
    disp('  t = 0: 1: 150; ')
    disp('  Psol = K*P0./( P0 + (K-P0)*exp(-r*t) ); ')
    disp('  clf ')
    disp('  plot(t, Psol, ''r''); hold on')
    disp('  plot(newtime, pop,''bo'') ')
    disp(' ')
    disp(' ')
    disp('--------------------------------------------')
    disp('To go on to Part 7 of this module,')
    disp('type: logist7.')
    disp(' ')

     